package rpcs

import (
	"sparrow/pkg/protocol"
)

type ArgsSetStatus struct {
	DeviceId string
	Status   []protocol.SubData
}
type ReplySetStatus ReplyEmptyResult

type ArgsGetStatus struct {
	Id          string
	VendorId    string
	SubDeviceId string
}
type ReplyGetStatus struct {
	Status []protocol.SubData
}

type ArgsSendCommand struct {
	DeviceId  string
	SubDevice string
	Cmd       string
	WaitTime  uint32
	Params    map[string]interface{}
}
type ReplySendCommand ReplyEmptyResult
